# -*-mode: text; fill-column: 75; tab-width: 8; coding: utf-8-dos -*-

test::

update:: funtoo

p_src.yaml:: /p/src/_p_src.yaml
	( cd /p/src && $(MAKE) $(MFLAGS) funtoo )

world.lis:: /var/lib/portage/world Makefile
	cp -p /var/lib/portage/world world.lis
	grep -h '^ *- .*/' main.yml base.yml p_src.yaml \
	| sed -e 's@/@\\/@' -e 's@^ *- @/@' -e 's@$$@/d@' > world.sed
	sed -f world.sed -i world.lis
	
funtoo:: world.lis Makefile
	cp /dev/null python_world.lis
	grep ^dev-python world.lis | while read file ; do \
		grep -q "^- $$file" p_src.yaml && continue ; \
		echo "$$file"  >> python_world.lis ; \
	    done

clean::
#	find * -type f -name \*~ -exec rm '{}' \;
	rm -f *~ world.sed
